### Class

# Ide LspHighlighter

#### Description

    class Ide.LspHighlighter : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeHighlighter

#### Instance methods

###### ide_lsp_highlighter_get_client

No description available.

###### ide_lsp_highlighter_set_client

No description available.

###### ide_lsp_highlighter_set_kind_style

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeHighlighter (2)

###### ide_highlighter_load

No description available.

###### ide_highlighter_update

Incrementally processes more of the buffer for highlighting. If `callback` returns `IDE_HIGHLIGHT_STOP`, then this vfunc should stop processing and return, having set `location` to the current position of processing.

Available since: 3.32

#### Properties

###### Ide.LspHighlighter:client

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspHighlighterClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.